function compList = getClientServerInterfaceNames(this)
%GETCLIENTSERVERINTERFACENAMES returns the list of Client-Server-Interface names found
%   in the XML files associated with the arxml.importer object.
%   INTERFACENAMES = GETCLIENTSERVERINTERFACENAMES(IMPORTER) returns the list of 
%   Client-Server-Interface names INTERFACENAMES found in the XML files associated
%   with the arxml.importer object IMPORTER.
%
%   INTERFACENAMES is a cell array of strings in which each element is the
%   absolute Short-Name path of the corresponding Client-Server-Interface: 
%   '/root_package_name[/sub_package_name]/client_server_interface_short_name'.
%
%   See also arxml.importer.createconfigurableSubsystems

%   Copyright 2008-2009 The MathWorks, Inc.

compList = p_getcomponentnames(this, 'csInterface');
