function compList = getCompositionComponentNames(this)
%GETCOMPOSITIONCOMPONENTNAMES returns the list of composition component names found
%   in the XML files associated with the arxml.importer object.
%   COMPONENTNAMES = GETCOMPOSITIONCOMPONENTNAMES(IMPORTER) returns the list of 
%   composition component names COMPONENTNAMES found in the XML files associated
%   with the arxml.importer object IMPORTER.
%
%   COMPONENTNAMES is a cell array of strings in which each element is the
%   absolute Short-Name path of the corresponding composition component: 
%   '/root_package_name[/sub_package_name]/composition_comp_short_name'.
%
%   See also arxml.importer.createCompositionAsModel

%   Copyright 2016 The MathWorks, Inc.

compList = p_getcomponentnames(this, 'composition');

% LocalWords:  COMPONENTNAMES
